Subject: adfs not recognised

From: Dr Charles McEvoy <[email-masked]>
Date: Tue, 29 Dec 1998 02:23:20 +0000

I am running Linux kernel 2.0.35 on a StrongArm RiscPC.  I recently
recompiled it to be able to use the internet (which is working fine!)
Two problems - first the recompile kernel gives 'Filesystem ADFS not
supported by kernel' errors when I try to mount the ADFS partition of the
harddisc.  I definitely answered YES when asked if I wanted ADFS during
kernel configuration (I have even recompiled to be sure).
The other thing is much less important to me.  I have been experimenting with
printing (to a parallel port Epson Stylus) and have successfuly(?) configured
the queues and lpd, but queued items never print.  lpc status reports all
well except that the printer is not resopnding (?offline).  I'm not expecting
photo-quality output, but it would be useful to be able to print out man
pages now and again.  Any suggestions?

Many thanks,
	Charles.

-- 
Dr Charles McEvoy       | PGP key available from
York, of that shire     | http://www.mcevoy.demon.co.uk
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Tue, 29 Dec 1998 10:40:59 +0000 (GMT)

> kernel configuration (I have even recompiled to be sure).

Which kernel version (patch release date) are you using?

There is a file, /proc/filesystems, which will tell you what filesystem types are
currently available to the kernel.  Does this mention ADFS?  For example:

        ext2
        msdos
        vfat
nodev   proc
nodev   nfs
        iso9660
        adfs

> the queues and lpd, but queued items never print.

You're probably getting some information logged into /var/log/messages concerning
this.  Could you check this, and post any relevent messages please?  Also, I
seem to remember that you need to use /dev/lp1 rather than lp0.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Dr Charles McEvoy <[email-masked]>
Date: Tue, 29 Dec 1998 23:13:00 +0000

On 29 Dec, Russell King - ARM Linux Admin ([email-masked]) wrote:

>> recompiled it to be able to use the internet (which is working fine!) Two
>> problems - first the recompile kernel gives 'Filesystem ADFS not supported
>> by kernel' errors when I try to mount the ADFS partition of the harddisc. 
>> I definitely answered YES when asked if I wanted ADFS during kernel
>> configuration (I have even recompiled to be sure).
> 
1998.09.14
Ah - I just realized there is a more up to date patch - sorry, I should have
looked.  I'm fetching it now - is it likely to solve this problem?
> 
> There is a file, /proc/filesystems, which will tell you what filesystem
> types are currently available to the kernel.  Does this mention ADFS?  For
> example:
> 
>         ext2
>         msdos
>         vfat nodev   proc nodev   nfs
>         iso9660
>         adfs
All of the above _except_ adfs.  Ah.
>> The other thing is much less important to me.  I have been experimenting
>> with printing (to a parallel port Epson Stylus) and have successfuly(?)
>> configured the queues and lpd, but queued items never print.
> 
> You're probably getting some information logged into /var/log/messages
> concerning this.  Could you check this, and post any relevent messages
> please?  Also, I seem to remember that you need to use /dev/lp1 rather than
> lp0.
Close - it is lp2 (at least it is on this machine). 
Thanks - now it prints. 
It prints complete rubbish, but I can try to sort that out when I have time.
Much obliged for the help.
Charles.